=== debian/changelog ===
node-postgres (0.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 18 Apr 2011 12:02:26 +0200

node-postgres (0.3.3-1) unstable; urgency=low

  * New upstream release.
  * Bump policy compliance to standards-version 3.9.2.
  * Bump copyright file format to draft 174 of DEP-5.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 16 Apr 2011 11:07:02 +0200

node-postgres (0.3.2-1) unstable; urgency=low

  * New upstream release.
  * Update copyright file:
    + Bump DEP5 format to daft Subversion rev.173.
    + Shorten and rewrap a comment.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 17 Mar 2011 01:38:52 +0100

node-postgres (0.3.0-1) unstable; urgency=low

  * New upstream release.
  * Package now team-maintained:
    + Set Debian Javascript Maintainers as maintainer.
    + Set myself as uploader.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 Mar 2011 11:07:04 +0100

node-postgres (0.2.6-1) experimental; urgency=low

  * Initial release.
    Closes: Bug#611679.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 31 Jan 2011 23:09:20 +0100
