=== debian/control ===
Source: node-postgres
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 debhelper (>= 6),
 dh-buildinfo
Standards-Version: 3.9.2
Homepage: https://github.com/brianc/node-postgres
Vcs-Git: git://git.debian.org/git/collab-maint/node-postgres
Vcs-Browser: http://git.debian.org/?p=collab-maint/node-postgres.git

Package: libnode-pg
Architecture: all
Depends: ${misc:Depends},
 nodejs
Suggests: postgresql
Description: PostgreSQL client library for Node
 Node is an event-based server-side JavaScript engine.
 .
 node-postgres is a non-blocking (async) pure JavaScript PostgreSQL
 client library for Node.
