=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2011 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for node-postgres
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

-include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

# suppress optional build-dependencies
CDBS_BUILD_DEPENDS_rules_upstream-tarball =
CDBS_BUILD_DEPENDS_rules_utils_copyright-check =

DEB_UPSTREAM_URL = http://githubredir.debian.net/github/brianc/node-postgres/
DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
DEB_UPSTREAM_TARBALL_MD5 = 2ac50eaf86bc824368a9908c7a5c34c0

DEB_INSTALL_DOCS_libnode-pg += README.md
DEB_INSTALL_EXAMPLES_libnode-pg += lib/defaults.js

binary-post-install/libnode-pg::
	mkdir -p "$(cdbs_curdestdir)/etc/nodejs/pg"
	mv "$(cdbs_curdestdir)/usr/lib/nodejs/pg/defaults.js" "$(cdbs_curdestdir)/etc/nodejs/pg/"
	ln -sT "/etc/nodejs/pg/defaults.js" "$(cdbs_curdestdir)/usr/lib/nodejs/pg/defaults.js"
