=== debian/watch ===
version=3
http://githubredir.debian.net/github/brianc/node-postgres .*/v(\d.*).tar.gz
