## node-postgres 0.6.8

=== debian/changelog ===
node-postgres (0.6.8-1) unstable; urgency=low

  * New upstream release.
  * Git-ignore quilt .pc dir.
  * (Build-)depend on node-generic-pool.
  * Drop dpkg local-options hints from packaging source: now defaults.
  * Bump debhelper compatilibity level to 7.
  * Rename binary package libnode-pg → node-pg.
    Replace and conflict with old name.
  * Relax to build-depend unversioned on debhelper: needed version
    satisfied even in oldstable.
  * Update copyright file: Fix syntax of License field.
    Thanks to lintian.
  * Fix build and install native code.
    Build-depend on nodejs-dev and libpq-dev.
    Make binary package arch-any.
  * Add patch 2001 to fix path for native binding.
  * Enable copyright-check: Build-depend on devscripts.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 04 Dec 2011 10:56:03 +0700
