=== debian/rules ===
--- 
+++ 
@@ -18,21 +18,51 @@
 
 -include /usr/share/cdbs/1/rules/upstream-tarball.mk
 include /usr/share/cdbs/1/rules/utils.mk
+include /usr/share/cdbs/1/class/makefile.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
+
+libpkgname = node-pg
+
+# Needed both by upstream build process and at runtime
+common-depends = node-generic-pool
+
+CDBS_BUILD_DEPENDS += , nodejs-dev, libpq-dev, $(common-depends)
+CDBS_DEPENDS_$(libpkgname) = $(common-depends), nodejs
 
 # suppress optional build-dependencies
 CDBS_BUILD_DEPENDS_rules_upstream-tarball =
-CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
 
 DEB_UPSTREAM_URL = http://githubredir.debian.net/github/brianc/node-postgres/
 DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-DEB_UPSTREAM_TARBALL_MD5 = 2ac50eaf86bc824368a9908c7a5c34c0
+DEB_UPSTREAM_TARBALL_MD5 = 89637a3997ce6e60b918beb0286da308
 
-DEB_INSTALL_DOCS_libnode-pg += README.md
-DEB_INSTALL_EXAMPLES_libnode-pg += lib/defaults.js
+# TODO: Fix node-waf to support DESTDIR for install target
+DEB_MAKE_ENVVARS = NODE_PATH="$(CURDIR)/debian/node-pg/usr/lib/nodejs/pg/native"
+DEB_MAKE_BUILD_TARGET = build/default/binding.node
+DEB_MAKE_CHECK_TARGET = test
 
-binary-post-install/libnode-pg::
+DEB_INSTALL_DOCS_$(libpkgname) += README.md
+DEB_INSTALL_EXAMPLES_$(libpkgname) += lib/defaults.js
+
+common-install-arch:: debian/stamp-node-install
+debian/stamp-node-install::
+	node-waf install
+	touch debian/stamp-node-install
+
+binary-post-install/$(libpkgname)::
 	mkdir -p "$(cdbs_curdestdir)/etc/nodejs/pg"
 	mv "$(cdbs_curdestdir)/usr/lib/nodejs/pg/defaults.js" "$(cdbs_curdestdir)/etc/nodejs/pg/"
 	ln -sT "/etc/nodejs/pg/defaults.js" "$(cdbs_curdestdir)/usr/lib/nodejs/pg/defaults.js"
+
+# Node native modules has the uncommon extension .node, which prevents
+# proper detection by dh_shlibdeps, so we do it manually
+$(patsubst %,binary-strip-IMPL/%,$(DEB_ALL_PACKAGES)) ::
+	$(if $(is_debug_package)$(filter nostrip,$(DEB_BUILD_OPTIONS)),,find "$(cdbs_curdestdir)" -name "*.node" -exec strip --remove-section=.comment --remove-section=.note --strip-unneeded {} +)
+$(patsubst %,binary-predeb-IMPL/%,$(DEB_ALL_PACKAGES)) ::
+	find "$(cdbs_curdestdir)" -name "*.node" -exec dpkg-shlibdeps -Tdebian/$(cdbs_curpkg).substvars {} +
+	find "$(cdbs_curdestdir)" -name "*.node" -exec chmod 0644 {} +
+
+clean::
+	rm -rf build
+	rm -f .lock-wscript debian/stamp-node-install
