## node-postgres 0.6.9

=== debian/changelog ===
node-postgres (0.6.9-1) unstable; urgency=low

  * New upstream release.
  * Update watch file to use more flexible regex.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 08 Jan 2012 14:59:13 +0100
