=== debian/control ===
Source: node-postgres
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs (>= 0.4.72~),
 devscripts,
 debhelper,
 dh-buildinfo,
 nodejs-dev,
 libpq-dev,
 node-generic-pool
Standards-Version: 3.9.2
Homepage: https://github.com/brianc/node-postgres
Vcs-Git: git://git.debian.org/git/collab-maint/node-postgres
Vcs-Browser: http://git.debian.org/?p=collab-maint/node-postgres.git

Package: node-pg
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 ${cdbs:Depends}
Suggests: postgresql
Conflicts: libnode-pg
Provides: libnode-pg
Description: PostgreSQL client library for Node
 Node is an event-based server-side JavaScript engine.
 .
 node-postgres is a non-blocking (async) pure JavaScript PostgreSQL
 client library for Node.
