## node-postgres 0.6.13

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 .PHONY : test test-connection test-integration bench test-native build/default/binding.node
 test: test-unit 
 
-test-all: test-unit test-integration test-native
+test-all: test-unit test-integration test-native test-binary
 
 bench:
 	@find benchmark -name "*-bench.js" | $(node-command)
@@ -28,6 +28,9 @@
 test-connection:
 	@node script/test-connection.js $(params)
 
+test-connection-binary:
+	@node script/test-connection.js $(params) --binary true
+
 test-native: build/default/binding.node
 	@echo "***Testing native bindings***"
 	@find test/native -name "*-tests.js" | $(node-command)
@@ -36,3 +39,7 @@
 test-integration: test-connection
 	@echo "***Testing Pure Javascript***"
 	@find test/integration -name "*-tests.js" | $(node-command)
+
+test-binary: test-connection-binary
+	@echo "***Testing Pure Javascript (binary)***"
+	@find test/integration -name "*-tests.js" | $(node-command) --binary true
