=== debian/changelog ===
node-postgres (0.6.13-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 03 Mar 2012 02:38:05 +0100

node-postgres (0.6.12-1) unstable; urgency=low

  * Bump copyright file format to 1.0.
  * Bump standards-version to 3.9.3.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 01 Mar 2012 20:31:47 +0100

node-postgres (0.6.10-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 07 Feb 2012 13:17:12 +0100
