## node-postgres 0.6.14

=== debian/changelog ===
node-postgres (0.6.14-1) unstable; urgency=low

  * New upstream release.
  * Update copyright file:
    + Shorten and quote license strings in comments.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 19 Mar 2012 20:53:35 +0100
