=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  nodejs-dev,
  libpq-dev,
  node-generic-pool
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: https://github.com/brianc/node-postgres
 Vcs-Git: git://git.debian.org/git/collab-maint/node-postgres
 Vcs-Browser: http://git.debian.org/?p=collab-maint/node-postgres.git
