=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,7 @@
 DEB_UPSTREAM_URL = http://githubredir.debian.net/github/brianc/node-postgres/
 DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-DEB_UPSTREAM_TARBALL_MD5 = 4f2a2d1b90db93d059baf926dada245d
+DEB_UPSTREAM_TARBALL_MD5 = fd8a681911eca9d7cbcf33c82ba303e6
 
 # TODO: Fix node-waf to support DESTDIR for install target
 DEB_MAKE_ENVVARS = NODE_PATH="$(CURDIR)/debian/node-pg/usr/lib/nodejs/pg/native"
