=== debian/watch ===
version=3
http://githubredir.debian.net/github/brianc/node-postgres .*?(\d[^/]*).tar.gz
