=== debian/changelog ===
node-postgres (0.7.1-1ubuntu1) quantal; urgency=low

  * Cope with node -> nodejs renaming.

 -- Michael Bienia <geser@ubuntu.com>  Mon, 01 Oct 2012 13:44:48 +0200

node-postgres (0.7.1-1) unstable; urgency=low

  * New upstream release.
    + Use node-gyp as preferred build helper.

  * Restructure build routines to apply security hardening build flags.
  * Directly use github.com URL (not githubredir.debian.net redirctor)
    when fetching upstream source.
  * Add debian/patches/README documenting patch numbering micro-policy.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 22 Jun 2012 21:16:33 +0200

node-postgres (0.7.0-1) unstable; urgency=low

  * New upstream release.
    + Include command metadata with native query result callback.
    + Use correct parse function for float arrays.
    + Ignore writes to unwritable sockets.
    + Reduce complexity of test runner.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 01 Jun 2012 10:18:30 +0200

node-postgres (0.6.18-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 10 May 2012 11:12:40 +0200

node-postgres (0.6.15-1) unstable; urgency=low

  * New upstream release.

  * Use anonscm.debian.org for Vcs-Browser field.
  * Extend my copyright for Debian packaging.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 05 Apr 2012 14:45:34 +0200
