=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: node-postgres
 Section: web
 Priority: optional
-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs (>= 0.4.72~),
  devscripts,
@@ -13,7 +14,7 @@
 Standards-Version: 3.9.3
 Homepage: https://github.com/brianc/node-postgres
 Vcs-Git: git://git.debian.org/git/collab-maint/node-postgres
-Vcs-Browser: http://git.debian.org/?p=collab-maint/node-postgres.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-postgres.git
 
 Package: node-pg
 Architecture: any
