=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2011, 2012 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for node-postgres
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

-include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/langcore.mk
include /usr/share/cdbs/1/rules/debhelper.mk

libpkgname = node-pg

# Needed both by upstream build process and at runtime
common-depends = node-generic-pool

CDBS_BUILD_DEPENDS += , nodejs-dev, libpq-dev, $(common-depends)
CDBS_DEPENDS_$(libpkgname) = $(common-depends), nodejs

# suppress optional build-dependencies
CDBS_BUILD_DEPENDS_rules_upstream-tarball =

DEB_UPSTREAM_URL = https://github.com/brianc/$(DEB_UPSTREAM_PACKAGE)/tarball
DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
DEB_UPSTREAM_TARBALL_DELIMITER =
DEB_UPSTREAM_TARBALL_EXTENSION =
DEB_UPSTREAM_RECEIVED_EXTENSION = tar.gz
DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
DEB_UPSTREAM_TARBALL_MD5 = 801729bb5dae7ca1402e711a17973030

DEB_INSTALL_DOCS_$(libpkgname) += README.md
DEB_INSTALL_EXAMPLES_$(libpkgname) += lib/defaults.js

# node-waf build routines
NODE-PATH = $(cdbs_curdestdir)usr/lib/nodejs/pg/native
NODE-WAF-BUILDFLAGS = CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)" LINKFLAGS="$(LDFLAGS)"
NODE-WAF = NOCOLOR=1 NODE_PATH="$(NODE-PATH)" node-waf -v
configure/$(libpkgname):: debian/stamp-node-waf-configure
debian/stamp-node-waf-configure:
	$(NODE-WAF-BUILDFLAGS) $(NODE-WAF) configure
	touch $@
build/$(libpkgname):: debian/stamp-node-waf-build
debian/stamp-node-waf-build:
	$(NODE-WAF) build
	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,make test)
	touch $@
install/$(libpkgname)::
	$(NODE-WAF) install
clean::
	rm -rf build
	rm -f .lock-wscript
	rm -f debian/stamp-node-waf-configure debian/stamp-node-waf-build

binary-post-install/$(libpkgname)::
	mkdir -p "$(cdbs_curdestdir)/etc/nodejs/pg"
	mv "$(cdbs_curdestdir)/usr/lib/nodejs/pg/defaults.js" "$(cdbs_curdestdir)/etc/nodejs/pg/"
	ln -sT "/etc/nodejs/pg/defaults.js" "$(cdbs_curdestdir)/usr/lib/nodejs/pg/defaults.js"

# Node modules have an uncommon extension preventing autodetection by
# dh_shlibdeps, so we do it manually
binary-strip-IMPL/$(libpkgname)::
	$(if $(is_debug_package)$(filter nostrip,$(DEB_BUILD_OPTIONS)),,find "$(cdbs_curdestdir)" -name "*.node" -exec strip --remove-section=.comment --remove-section=.note --strip-unneeded {} +)
binary-predeb-IMPL/$(libpkgname)::
	find "$(cdbs_curdestdir)" -name "*.node" -exec dpkg-shlibdeps -Tdebian/$(cdbs_curpkg).substvars {} +
