=== debian/watch ===
version=3
https://github.com/brianc/node-postgres/tags .*/tarball/v?(\d[\d\.]+)
