=== debian/changelog ===
node-postgres (0.13.3-1) unstable; urgency=low

  [ upstream ]
  * New upstream release(s).

  [ Jonas Smedegaard ]
  * Fix update github.com download URL in watch and rules files.
  * Drop .gitignore file.
  * Have git-import-orig suppress .gitignore files.
  * Bump dephelper compatibility level to 8.
  * Bump policy compliance claim to 3.9.5.
  * Update copyright file:
    + Fix use comment pseudo-paragraph to obey silly restrictions of
      copyright format 1.0.
  * Add README.source emphasizing control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Unfuzz patch 2001.
  * Update package relations:
    + Relax build-dependency on cdbs: Needed version satisfied even in
      oldstable.
  * Stop track md5sum of upstream tarball.
  * Update Vcs-Git and Vcs-Browser URLs.
  * Add patch header, and license patch same as upstream code.
  * Extend copyright coverage of packaging, and bump licensing to
    GPL-3+.
  * Fix stop run testsuite (needs custom configured Postgres anyway to
    succeed).
    Closes: bug#707503. Thanks to Lucas Nussbaum.
  * Update rules to use node-gyp (not node-waf).
    Build-depend on node-gyp.
    Closes: bug#707503. Thanks to Lucas Nussbaum.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 06 Sep 2014 21:14:26 +0200
