=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2011-2014 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for node-postgres
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/langcore.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg = node-pg

# Needed by upstream build process and at runtime
deps = node-generic-pool

# Needed by upstream build process
bdeps = nodejs-dev, node-gyp, libpq-dev

# Needed at runtime
depends = nodejs

CDBS_BUILD_DEPENDS +=, $(bdeps), $(deps)
CDBS_DEPENDS_$(pkg) = $(deps), $(depends)

DEB_UPSTREAM_URL = https://github.com/brianc/$(DEB_UPSTREAM_PACKAGE)/archive
DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)

DEB_INSTALL_DOCS_$(pkg) += README.md
DEB_INSTALL_EXAMPLES_$(pkg) += lib/defaults.js

configure/$(pkg):: debian/stamp-node-gyp-configure
debian/stamp-node-gyp-configure:
	node-gyp configure
	touch $@
build/$(pkg):: debian/stamp-node-gyp-build
debian/stamp-node-gyp-build:
	V=1 $(foreach flag,CC CXX CFLAGS CXXFLAGS CPPFLAGS LDFLAGS,$(flag)="$($(flag))") node-gyp build
	touch $@
clean::
	node-gyp clean
	rm -f debian/stamp-node-gyp-*

binary-post-install/$(pkg)::
	mkdir -p "$(cdbs_curdestdir)/etc/nodejs/pg"
	mv "$(cdbs_curdestdir)/usr/lib/nodejs/pg/defaults.js" "$(cdbs_curdestdir)/etc/nodejs/pg/"
	ln -sT "/etc/nodejs/pg/defaults.js" "$(cdbs_curdestdir)/usr/lib/nodejs/pg/defaults.js"

# Node modules have an uncommon path and extension preventing
# autodetection by dh_shlibdeps or dh_fixperms, so we do it manually
binary-strip-IMPL/$(pkg)::
	$(if $(is_debug_package)$(filter nostrip,$(DEB_BUILD_OPTIONS)),,find "$(cdbs_curdestdir)" -name "*.node" -exec strip --remove-section=.comment --remove-section=.note --strip-unneeded {} +)
binary-fixup/$(pkg)::
	find "$(cdbs_curdestdir)" -name "*.node" -exec chmod -x {} +
binary-predeb-IMPL/$(pkg)::
	find "$(cdbs_curdestdir)" -name "*.node" -exec dpkg-shlibdeps -Tdebian/$(cdbs_curpkg).substvars {} +
