=== debian/watch ===
version=3
https://github.com/brianc/node-postgres/tags .*/archive/v?(\d[\d\.]+)\.tar\.gz
