=== debian/changelog ===
node-postgres (7.7.1-3) unstable; urgency=medium

  * Add Xavier Guimard as Uploader, and removing myself,
    due to uncoordinated radical refactoring.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 04 Jan 2019 19:27:37 +0100

node-postgres (7.7.1-2) unstable; urgency=medium

  * Set minimal version for node-xtend to 4.0.1-2

 -- Xavier Guimard <yadd@debian.org>  Fri, 04 Jan 2019 17:51:12 +0100

node-postgres (7.7.1-1) unstable; urgency=medium

  * Team upload
  * Add components (not grouped in version since upstream provides a
    package-lock.json file):
    - buffer-writer
    - packet-reader
    - pg-connection-string
    - pg-pool
    - pg-types
    - pgpass
    - pg-int8
    - postgres-array
    - postgres-bytea
    - postgres-date
    - postgres-interval
  * New upstream version 7.7.1 (Closes: #802213)
  * Remove patch
  * Switch from cdbs to dh
  * Bump debhelper compatibility level to 11
  * Declare compliance with policy 4.3.0
  * Update debian/copyright format url
  * Add node-xtend and node-split in dependencies
  * Add autopkgtest files
  * Disable one stupid ssl test that fails for an unknown reason
  * Add autopkgtest files
  * Disable one stupid ssl test
  * Add source/lintian-overrides
  * Update debian/copyright

 -- Xavier Guimard <yadd@debian.org>  Fri, 04 Jan 2019 17:45:28 +0100
