=== debian/control ===
Source: node-postgres
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Xavier Guimard <yadd@debian.org>
Section: javascript
Priority: optional
Build-Depends: debhelper (>= 11~),
               node-async,
               node-generic-pool,
               node-semver (>= 4.3.2),
               node-split,
               node-xtend (>= 4.0.1-2)
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/js-team/node-postgres
Vcs-Git: https://salsa.debian.org/js-team/node-postgres.git
Homepage: https://github.com/brianc/node-postgres

Package: node-pg
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
         node-async,
         node-semver (>= 4.3.2),
         node-split,
         node-xtend
Suggests: postgresql
Description: PostgreSQL client library for Node
 Node is an event-based server-side JavaScript engine.
 .
 node-postgres is a non-blocking (async) pure JavaScript PostgreSQL
 client library for Node.
