=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir node_modules
	cd node_modules && for f in ../pg* ../buffer* ../packet* ../postgres-*; do \
		ln -s $$f; \
	done
	$(MAKE) test-unit
	rm -rf node_modules
endif
