## node-postgres 7.12.1

=== debian/changelog ===
node-postgres (7.12.1-1) unstable; urgency=medium

  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.4.0
  * Update debian/watch
  * Switch install and test to pkg-js-tools
  * Embed components: pg-cursor
  * New upstream version 7.12.1
  * Enable components tests. This embed "pff" for test only

 -- Xavier Guimard <yadd@debian.org>  Wed, 21 Aug 2019 19:45:59 +0200
