=== debian/control ===
--- 
+++ 
@@ -2,14 +2,19 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Xavier Guimard <yadd@debian.org>
 Section: javascript
+Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
-Build-Depends: debhelper (>= 11~),
-               node-async,
-               node-generic-pool,
-               node-semver (>= 4.3.2),
-               node-split,
-               node-xtend (>= 4.0.1-2)
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12),
+               mocha <!nocheck>,
+               node-async <!nocheck>,
+               node-generic-pool <!nocheck>,
+               node-semver (>= 4.3.2) <!nocheck>,
+               node-split <!nocheck>,
+               node-xtend (>= 4.0.1-2) <!nocheck>,
+               node-tape <!nocheck>,
+               node-tap <!nocheck>,
+               pkg-js-tools (>= 0.9.3)
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-postgres
 Vcs-Git: https://salsa.debian.org/js-team/node-postgres.git
 Homepage: https://github.com/brianc/node-postgres
