=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,5 @@
 version=4
+opts="filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-postgres-$1.tar.gz/" \
 https://github.com/brianc/node-postgres/tags .*/archive/v?(\d[\d\.]+)\.tar\.gz debian
 
 opts="searchmode=plain,pgpmode=none,component=buffer-writer" \
@@ -33,3 +34,9 @@
 
 opts="searchmode=plain,pgpmode=none,component=postgres-interval" \
  https://registry.npmjs.org/postgres-interval https://registry.npmjs.org/postgres-interval/-/postgres-interval-(\d[\d\.]*)@ARCHIVE_EXT@ ignore
+
+opts=\
+component=pg-cursor,\
+dversionmangle=auto,\
+filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-node-pg-cursor-$1.tar.gz/ \
+ https://github.com/brianc/node-pg-cursor/tags .*/archive/v?([\d\.]+).tar.gz ignore
