=== debian/changelog ===
node-postgres (7.14.0-3) unstable; urgency=medium

  * Team upload
  * Fix GitHub tags regex
  * Declare compliance with policy 4.6.0
  * Fix filenamemangle
  * Fix test for tap >= 15 (Closes: #1009525)
  * Fix test for nodejs >= 14

 -- Yadd <yadd@debian.org>  Wed, 13 Apr 2022 13:00:59 +0200

node-postgres (7.14.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update renamed lintian tag names in lintian overrides.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.1
  * Add ctype=nodejs to component(s)
  * Use dh-sequence-nodejs
  * Fix buffer-writer test for mocha ≥ 7 (Closes: #978313)
  * Install all components in main nodejs dir

 -- Xavier Guimard <yadd@debian.org>  Sun, 27 Dec 2020 07:48:30 +0100

node-postgres (7.14.0-1) unstable; urgency=medium

  * Update debian/copyright
  * Declare compliance with policy 4.4.1
  * Add "Rules-Requires-Root: no"
  * New upstream version 7.14.0
  * Embed components: pg-numeric
  * Add pg-numeric test
  * Update copyright

 -- Xavier Guimard <yadd@debian.org>  Sun, 24 Nov 2019 13:25:29 +0100
