=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: node-postgres
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
-Uploaders: Xavier Guimard <yadd@debian.org>
+Uploaders: Yadd <yadd@debian.org>
 Section: javascript
 Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                mocha <!nocheck>,
                node-async <!nocheck>,
                node-generic-pool <!nocheck>,
@@ -13,11 +13,12 @@
                node-xtend (>= 4.0.1-2) <!nocheck>,
                node-tape <!nocheck>,
                node-tap <!nocheck>,
-               pkg-js-tools (>= 0.9.3)
-Standards-Version: 4.4.0
+               dh-sequence-nodejs
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-postgres
 Vcs-Git: https://salsa.debian.org/js-team/node-postgres.git
 Homepage: https://github.com/brianc/node-postgres
+Rules-Requires-Root: no
 
 Package: node-pg
 Architecture: all
@@ -28,6 +29,7 @@
          node-split,
          node-xtend
 Suggests: postgresql
+Provides: ${nodejs:Provides}
 Description: PostgreSQL client library for Node
  Node is an event-based server-side JavaScript engine.
  .
