=== debian/watch ===
version=4
opts="filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-postgres-$1/" \
https://github.com/brianc/node-postgres/tags .*/archive/.*/v?(\d[\d\.]+)\.tar\.gz debian

opts="searchmode=plain,pgpmode=none,ctype=nodejs,component=buffer-writer" \
 https://registry.npmjs.org/buffer-writer https://registry.npmjs.org/buffer-writer/-/buffer-writer-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,ctype=nodejs,component=packet-reader" \
 https://registry.npmjs.org/packet-reader https://registry.npmjs.org/packet-reader/-/packet-reader-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,ctype=nodejs,component=pg-connection-string" \
 https://registry.npmjs.org/pg-connection-string https://registry.npmjs.org/pg-connection-string/-/pg-connection-string-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,ctype=nodejs,component=pg-pool" \
 https://registry.npmjs.org/pg-pool https://registry.npmjs.org/pg-pool/-/pg-pool-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,ctype=nodejs,component=pg-types" \
 https://registry.npmjs.org/pg-types https://registry.npmjs.org/pg-types/-/pg-types-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,ctype=nodejs,component=pgpass" \
 https://registry.npmjs.org/pgpass https://registry.npmjs.org/pgpass/-/pgpass-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,ctype=nodejs,component=pg-int8" \
 https://registry.npmjs.org/pg-int8 https://registry.npmjs.org/pg-int8/-/pg-int8-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,ctype=nodejs,component=postgres-array" \
 https://registry.npmjs.org/postgres-array https://registry.npmjs.org/postgres-array/-/postgres-array-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,ctype=nodejs,component=postgres-bytea" \
 https://registry.npmjs.org/postgres-bytea https://registry.npmjs.org/postgres-bytea/-/postgres-bytea-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,ctype=nodejs,component=postgres-date" \
 https://registry.npmjs.org/postgres-date https://registry.npmjs.org/postgres-date/-/postgres-date-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,ctype=nodejs,component=postgres-interval" \
 https://registry.npmjs.org/postgres-interval https://registry.npmjs.org/postgres-interval/-/postgres-interval-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts=\
ctype=nodejs,\
component=pg-cursor,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-node-pg-cursor-$1/ \
 https://github.com/brianc/node-pg-cursor/tags .*/archive/.*/v?([\d\.]+).tar.gz ignore

opts=\
ctype=nodejs,\
component=pg-numeric,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-pg-numeric-$1/ \
 https://github.com/charmander/pg-numeric/tags .*/archive/.*/v?([\d\.]+).tar.gz ignore
