## node-postgres 8.8.0%2B~cs35.9.20

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	dh_auto_build --buildsystem=nodejs
	ln -s ../packages/pg node_modules/pg
	tsc -b
