## node-postgres 8.8.0+~cs35.9.20

=== Makefile ===
.PHONY: publish-patch test

test:
	npm test

patch: test
	npm version patch -m "Bump version"
	git push origin master --tags
	npm publish

minor: test
	npm version minor -m "Bump version"
	git push origin master --tags
	npm publish
