=== debian/changelog ===
node-postgres (8.8.0+~cs35.9.20-1) unstable; urgency=medium

  * Fix test (Closes: #1020132)
  * Embed obuf, pg-native, postgres-range and typescript declarations
  * New upstream version 8.8.0+~cs35.9.20
  * Build with typescript
  * Update dependencies
  * Update copyright

 -- Yadd <yadd@debian.org>  Wed, 05 Oct 2022 08:40:44 +0200
