=== debian/control ===
Source: node-postgres
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Yadd <yadd@debian.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , chai <!nocheck>
 , mocha <!nocheck>
 , node-async <!nocheck>
 , node-generic-pool <!nocheck>
 , node-libpq <!nocheck>
 , node-semver <!nocheck>
 , node-split2 <!nocheck>
 , node-tap <!nocheck>
 , node-tape <!nocheck>
 , node-typescript
 , node-xtend <!nocheck>
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/js-team/node-postgres
Vcs-Git: https://salsa.debian.org/js-team/node-postgres.git
Homepage: https://github.com/brianc/node-postgres
Rules-Requires-Root: no

Package: node-pg
Architecture: all
Depends: ${misc:Depends}
 , node-async
 , node-libpq
 , node-readable-stream
 , node-split2
 , node-xtend
Suggests: postgresql
Provides: ${nodejs:Provides}
Description: PostgreSQL client library for Node
 Node is an event-based server-side JavaScript engine.
 .
 node-postgres is a non-blocking (async) pure JavaScript PostgreSQL
 client library for Node.
