## node-postgres 8.12.0+~cs35.15.26

=== debian/changelog ===
node-postgres (8.12.0+~cs35.15.26-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.12.0+~cs35.15.26

 -- Yadd <yadd@debian.org>  Tue, 02 Jul 2024 16:35:38 +0400

node-postgres (8.11.5+~cs35.14.26-2) unstable; urgency=medium

  * Team upload
  * Add patch to declare pg-cloudflare as module

 -- Yadd <yadd@debian.org>  Wed, 17 Apr 2024 16:38:27 +0400

node-postgres (8.11.5+~cs35.14.26-1) unstable; urgency=medium

  * Team upload
  * Update lintian override info format in d/source/lintian-overrides
    on line 2-4
  * Remove patches disable-one-ssl-test.patch, fix-buffer-writer-test.patch,
    fix-test-for-node-14.patch that are missing from debian/patches/series
  * Declare compliance with policy 4.7.0
  * New upstream version 8.11.5+~cs35.14.26

 -- Yadd <yadd@debian.org>  Fri, 12 Apr 2024 06:58:20 +0400
