## node-postgres 8.12.0+~cs35.15.30

=== debian/changelog ===
node-postgres (8.12.0+~cs35.15.30-1) unstable; urgency=medium

  * Team upload
  * New upstream version (updates TS declarations)

 -- Yadd <yadd@debian.org>  Sat, 14 Sep 2024 15:32:07 +0400
