## node-postgres 8.13.1+~cs35.16.30

=== debian/changelog ===
node-postgres (8.13.1+~cs35.16.30-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.13.1+~cs35.16.30

 -- Yadd <yadd@debian.org>  Mon, 28 Oct 2024 08:02:26 +0100
